dependencies:
  pre:
    # setup ipv6
    - sudo sysctl -w net.ipv6.conf.lo.disable_ipv6=0 net.ipv6.conf.default.disable_ipv6=0 net.ipv6.conf.all.disable_ipv6=0
  post:
    # install golint
    - go get github.com/golang/lint/golint

test:
  pre:
    # run analysis before tests
    - go vet ./...
    - test -z "$(golint ./... | tee /dev/stderr)"
    - test -z "$(gofmt -s -l . | tee /dev/stderr)"
